%define upstream_name    HTML-TreeBuilder-LibXML
%define upstream_version 0.28

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    HTML::Element compatible API for HTML::TreeBuilder::LibXML
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(HTML::TreeBuilder::XPath) >= 0.140.0
BuildRequires: perl(LWP::UserAgent) >= 6.0.0
BuildRequires: perl(Module::Build::Tiny) >= 0.35.0
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(URI)
BuildRequires: perl(XML::LibXML) >= 1.700.0
BuildArch:  noarch

%description
HTML::TreeBuilder::XPath is libxml based compatible interface to
HTML::TreeBuilder, which could be slow for a large document.

HTML::TreeBuilder::LibXML is drop-in-replacement for
HTML::TreeBuilder::XPath.

This module doesn't implement all of HTML::TreeBuilder and HTML::Element
APIs, but enough methods are defined so modules like Web::Scraper work.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.280.0-2.mga10
+ Revision: 2224789
- Mageia 10 Mass Rebuild

* Mon Jul 01 2024 tv <tv> 0.280.0-1.mga10
+ Revision: 2078665
- update to 0.28

* Wed Jan 10 2024 tv <tv> 0.270.0-1.mga10
+ Revision: 2029442
- update to 0.27

* Wed Aug 03 2022 tv <tv> 0.260.0-5.mga9
+ Revision: 1874846
- Fix testsuite: fix empty strings with libxml2 2.9.12 (rhbz#1961070)
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.260.0-3.mga8
+ Revision: 1504651
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.260.0-2.mga7
+ Revision: 1283980
- Mageia 7 Mass Rebuild

* Sat Jul 22 2017 shlomif <shlomif> 0.260.0-1.mga7
+ Revision: 1128629
- update to 0.26

* Sun Jun 19 2016 pterjan <pterjan> 0.250.0-3.mga6
+ Revision: 1028408
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.250.0-2.mga6
+ Revision: 967724
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.250.0-1.mga6
+ Revision: 850104
- update to 0.25

* Sat Oct 18 2014 umeabot <umeabot> 0.230.0-5.mga5
+ Revision: 787836
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.230.0-4.mga5
+ Revision: 745347
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.230.0-3.mga5
+ Revision: 684983
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.230.0-2.mga4
+ Revision: 537214
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.230.0-1.mga4
+ Revision: 486594
- update to 0.23

* Sun Jan 13 2013 umeabot <umeabot> 0.170.0-2.mga3
+ Revision: 368205
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 0.170.0-1.mga3
+ Revision: 267343
- update to 0.17

* Tue Jun 05 2012 jquelin <jquelin> 0.160.0-1.mga3
+ Revision: 254996
- update to 0.16

* Thu Dec 08 2011 kharec <kharec> 0.150.0-1.mga2
+ Revision: 179188
- update to 0.15

* Fri Oct 14 2011 jquelin <jquelin> 0.130.0-1.mga2
+ Revision: 155032
- update to 0.13

* Sun Jan 23 2011 jquelin <jquelin> 0.120.0-2.mga1
+ Revision: 33814
- mageia rebuild
- cleaning spec file
- imported package perl-HTML-TreeBuilder-LibXML


* Mon Dec 06 2010 Shlomi Fish <shlomif@mandriva.org> 0.120.0-2mdv2011.0
+ Revision: 612977
- Bumped the rel to rebuild
- import perl-HTML-TreeBuilder-LibXML

